Skip to main content
DELETE
/
async_request
/
{request_id}
Cancel a queued async request.
curl --request DELETE \
  --url https://model-{model_id}.api.baseten.co/async_request/{request_id} \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "canceled": true,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Path Parameters

request_id
string
required

The ID of the async request.

Response

Result of an async request cancellation.

request_id
string
required

The ID of the async request.

canceled
boolean
required

Whether the request was canceled.

message
string
required

Additional details about whether the request was canceled.